package org.netkernel.layer1.endpoint;

import org.netkernel.layer0.nkf.INKFRequestContext;
import org.netkernel.layer0.nkf.INKFResponseReadOnly;
import org.netkernel.layer0.representation.IBinaryStreamRepresentation;
import org.netkernel.layer0.util.Utils;
import org.netkernel.module.standard.endpoint.StandardAccessorImpl;

public class ToDataURI extends StandardAccessorImpl
{
	public ToDataURI()
	{	this.declareThreadSafe();
	}
	
	public void onSource(INKFRequestContext aContext) throws Exception
	{	INKFResponseReadOnly<IBinaryStreamRepresentation> responseIn = aContext.sourceForResponse("arg:operand",IBinaryStreamRepresentation.class);
		IBinaryStreamRepresentation from=responseIn.getRepresentation();
		String mime=responseIn.getMimeType();
		String uriString=Utils.toDataURI(from, mime);		
		aContext.createResponseFrom(uriString);
	}
}
