package org.netkernel.layer1.endpoint;

import org.netkernel.layer0.nkf.INKFRequestContext;
import org.netkernel.layer0.representation.WrappedThrowable;
import org.netkernel.module.standard.endpoint.StandardTransreptorImpl;

public class UnwrapThrowable extends StandardTransreptorImpl
{
	public UnwrapThrowable()
	{	declareThreadSafe();
		declareFromRepresentation(WrappedThrowable.class);
		declareToRepresentation(Throwable.class);
		declareToRepresentation(Exception.class);
	}
	
	@Override
	public void onTransrept(INKFRequestContext aContext) throws Exception
	{	WrappedThrowable wt = aContext.sourcePrimary(WrappedThrowable.class);
		aContext.createResponseFrom(wt.getThrowable());
	}
}